The thing about finding new patterns when you hit a wall is so true. I used to have trouble solving certain problems and then I found out about dictionaries and tuples. I was able to solve so many more after it. Need to find more patterns again. Thank you!
To people like me : Let the cost of the ball be "B" in dollars. According to the information given, the bat costs $1 more than the ball, so the cost of the bat would be "B + $1." Now, we know that together, the bat and the ball cost $1.10. So, we can set up an equation: B + (B + $1) = $1.10 Combining like terms: 2B + $1 = $1.10 Subtract $1 from both sides of the equation: 2B = $0.10 Now, divide by 2: B = $0.10 / 2 = $0.05 So, the cost of the ball is $0.05 or 5 cents.
to be able to spot the patterns you need to be exposed to a large dataset, which means you have to solve enough problems to gain that knowledge. And that is far from enough because if you do it slightly differently than the optimized solution there will be tons of edge cases to be considered.
Let's say the cost of the ball is x. Since the bat costs $1 more than the ball, the cost of the bat is x + $1. The total cost of the bat and the ball together is $1.10, so we can set up the equation: x + (x + $1) = $1.10 Combine like terms: 2x + $1 = $1.10 Subtract $1 from both sides: 2x = $0.10 Divide both sides by 2: x = $0.05 So the ball costs $0.05, or 5 cents!
Took me a while to understand. a = bat, b = ball Statement 1 : a + b = 1.10 statement 2 : a = b + 1 a + b = 1.10 (b + 1) + b = 1.10 2b + 1 = 1.10 2b = 1.10 - 1 2b = 0.10 b = 0.10 / 2 b = 0.5
Here the trick part is "the bat cost 1 dollar more than the ball" Which means, the ball cost is also there in the bat plus 1 dollar.. so if the ball cost $0.10 then the bat would cost $1.10 and total would be $1.20 dollars which is not the right answer.
statement 1: bat+ball=1.10, statement 2: bat=1+ball put statement 2 in 1: 1+2ball=1.10 that means ball=0.10/2 => 0.5 cents i also did not understadn directly but instead like this.
I think a lot of people fail to understand that if the ball costs 0.10$ and the bat costs 1$ MORE, then the bat would cost 1.10$. 0.10 + 1.10 equals 1.2. This is the part most people forget to explain in the comments. However, if the the ball costs 0.5$, then the bat will cost 1.05$. 0.5 + 1.05 = 1.1.
👋 My summary: - 00:00 🧠 Developing Intuition for Coding Problems - Understanding the importance of intuition in solving coding problems. - Introduction to the concept of "Fast Brain" and "Slow Brain." - Exploring the role of both brains in coding interviews. - 02:18 🤖 Training Your "Fast Brain" to Recognize Patterns - Drawing parallels between training an AI model to recognize patterns and training your "Fast Brain" for coding. - Discussing the need for a library of components and patterns. - Example of building components and patterns using Backtracking. - 06:05 📚 Building Your Own Patterns - Emphasizing the importance of building your own patterns. - Suggesting resources and articles to help build patterns. - Highlighting that memorization alone is not sufficient; both "Fast Brain" and "Slow Brain" need to be trained. - 07:29 🌟 Beyond Leetcode: Mastering Interview Skills - Acknowledging the need for skills beyond Leetcode. - Encouraging practice and problem-solving. - Teasing the importance of additional skills for cracking coding interviews.
Hey love from India, i really loved how you explained tha backtracking problem. I have never gone through an explaination like this before. If there is any book to understand problems like this, please refer ❤
Hello sahil, Thanks for sharing this video. I believe this will help so many coders. Coding is not about memorizing it's all about building intuition and practice.
I just want people to understand, that to some people things WILL come more naturally than it will to others. And for a lot of people, no amount of hardwork will make you as good as the people to who it comes naturally. The faster you understand that and stop guilt tripping yourself, the better it will be for you and for your health. It doesn't make you worthless, it's just that you'll be useful in different roles than those people. And you can still do you part, but there might be somebody who'll be able to do the things you do faster, and in a way that you may never conceive. And you cannot learn that. The fast you realise that, the better it will be for you. Anybody that tells you that hardwork will make you as good as the person that it comes naturally to, is lying to you The only person you should compare yourself to is you. You can become better than you were. You can even be more productive than the genius. You can even produce better work than the genius, but you're not gonna be able to train yourself to become better at coming up with things that comes naturally to them.
The so called naturally gifted people just have the right framework which the hardworking people lack everyone is created equally but not everyone uses their full potential
@@hhandle no. Everyone is not created equal. Some people just have the innate ability to do certain things which others will have to work very hard to get to be able to do. And there's absolutely nothing you can do to change that.
Your content is soo aaawsome!!👌🏻... Trust me your videos not only gives me a good solution to my issues as a developer but also gives me motivation boost ❤️
took me some thinking between both fast and slow brain to get to a bat costing $1.05 and a ball costing $0.05. When solving things with the fast brain, sometimes it takes one on a journey with their slow brain to make sure they got it right only to find oneself doubting self and repeat checking with the slow brain; only to confuse oneself! At least, that's what I experience when I try to do things my fast brain does with the slow brain!
Can someone solve this for me? In the army of Andromeda, the soldiers are segregated by rank. Each soldier except the first has a superior officer. The codes for the nuke are given to 2 soldiers for security purposes, and each would relay the information to their superior officer (this keeps on happening till it reaches the top most officer). The first officer who gets the information from two of his subordinates would detonate the nuke. Given m such queries find the officer who would detonate the nuke for each of them Input Format First line has an integer n,m, for the number of soldiers and number of queries. Second line has n−1 integers p2,p3,p4 … pn where pi is the superior officer of officer i. Next m lines have 2 integers a and b, such that the codes are given to soldiers a and b. Constraints 1
Hard problems also involves applying some trick which is not always obvious.Average students can not think of them immediately. Can you please tell us how to think of such tricky problems.
I think that I am an average student but slowly reaching my there. What I used to do before I just used to look at problem and immediately decide whether I can or not but now I try to think more in depth and give sometime to the problem. and I would say it is totally fine to be wrong sometimes You just get to learn new things.
Question, open to anyone, lets say the brain gets trained, interview is cracked and the job is offered as well, how often do engineers in FAANG companies actually come across these kind of challenges in their day to day life working in one of these companies? PS: I know a fperson who works in one of the FAANG and described codebase of one of their most popular product which gets offered to their customers where the class file seemed to contain over 1000 lines of code with single method averaging over 300 lines and no documentation
u want believe sir i used to think that i am dumb my mental ability is low then i camee across this book and when i saw this on thumbnail i was like wow
Far out I'm stuck in this bat and ball analogy and after reading explanations in comments I still couldn't figure it out. Does that mean I can't be (or shouldn't be) a programmer?
Hi sir , just a small information , if we take certification for python and pandas and if we try for a job will we get good job , actually having experience of 7 years and trying to switch career to be in good start if I did certification and try for job and luckily if we got in service based company , can it be a good start as part of career switch so that we will keep on working and try for big companies after we habituated with python work culture ?? Please replay sir with your views really need your help on this sir. Or suggest any certification which will help us to boost career
I am solving problems on leetcode for 3 days , but i feel very struggling even on the easy questions i am able to think some of the approaches to solve a question but when it comes to code that solution i struggle a lot 😭 is it normal ? btw I'm learning dsa from 3 months I'm in my 3rd sem
Well, rather than directly jumping to coding by yourself, analyze different codes for different problems that are available on different platforms. Make sure that you try to analyze why they have done a particular line of code that way. Do this for at least 15-20 days, by this way you'll build your confidence and you know the tricks as you have analyzed different codes. Taking your time is the key! Hope it helps. All the best!
See I made it really simple... Instead of bat and ball we use different question... And also won't be using the word more than ($1 more than the ball) that stupid line causes all the confusion... We will use extra instead of more ok.. So let's say u tell ur friend Me : I got 20 rs extra from my uncle compared to aunty ... And when ur friend says Friend : Ok so how much u got n*gga And u say Me : I ain't black ni*gga I got 30rs in total and he says ok u ain't gettin pass me with that hand it over ok jokes aside... From the total 30, 20 is extra which means 20 is out of the league it can't be compared and from the remaining 10 we start the comparison we say okay 5 from lovely uncle and 5 from broken aunty we add the extra 20 we got 25... Me : I ain't forgetting my hero uncle.. Friend : what about ur aunty ma maan Me : Who Aunty...
i have been coding since 5 months , almost done with dsa and solved around 106 problems on leetcode but still I cannot solve questions on my own , i have to refer the solution, is this normal?? or i m not very good at coding? i am a first year student
Hate to break it to you, but it's not, 5 months is a lot of time to solve just 106 problems. However if your are talking about 106 hard level leetcode problem, then it's awesome
I felt the same but I am improving. You will improve. Because I also thought I can never do exercises by myself. But now I am able to do some by my self. Just try and read the solutions to the codes and then familiarize yourself with the logic they used to solve those exercises.😊
I felt the same but I am improving. You will improve. Because I also thought I can never do exercises by myself. But now I am able to do some by my self. Just try and read the solutions to the codes and then familiarize yourself with the logic they used to solve those exercises.😊
The bat is $1 plus the cost of the ball. The total is the cost of the bat + the cost of the ball. So the total is $1 + the cost two balls. The cost of the ball is then ($1.10 -$1)/2.
@@nagrajsingh8437 buddy now I am more confused your solution doesn't work for me. And the question say a ball so i thought there will be 1 ball. Please correct me if I am wrong
The problem states that sum of bat price and ball price is $1.10. Also, cost of bat price is 1 dollar more than that of ball price. Find the ball price. Let ball price be x; Bat price = 1 + x; Bat price + ball price = $1.10 (given) //putting values (1 + x) + x = 1.10; 2x = 1.10 - 1 = 0.10; x = 0.10/2 = 0.05; Hence ball price is 5 cent. Hope you got it 😇
The thing about finding new patterns when you hit a wall is so true. I used to have trouble solving certain problems and then I found out about dictionaries and tuples. I was able to solve so many more after it. Need to find more patterns again. Thank you!
To people like me :
Let the cost of the ball be "B" in dollars. According to the information given, the bat costs $1 more than the ball, so the cost of the bat would be "B + $1."
Now, we know that together, the bat and the ball cost $1.10. So, we can set up an equation:
B + (B + $1) = $1.10
Combining like terms:
2B + $1 = $1.10
Subtract $1 from both sides of the equation:
2B = $0.10
Now, divide by 2:
B = $0.10 / 2 = $0.05
So, the cost of the ball is $0.05 or 5 cents.
to be able to spot the patterns you need to be exposed to a large dataset, which means you have to solve enough problems to gain that knowledge. And that is far from enough because if you do it slightly differently than the optimized solution there will be tons of edge cases to be considered.
Nice explanation. It's true we need to use both fast and slow brain.
Let's say the cost of the ball is x.
Since the bat costs $1 more than the ball, the cost of the bat is x + $1.
The total cost of the bat and the ball together is $1.10, so we can set up the equation:
x + (x + $1) = $1.10
Combine like terms:
2x + $1 = $1.10
Subtract $1 from both sides:
2x = $0.10
Divide both sides by 2:
x = $0.05
So the ball costs $0.05, or 5 cents!
*Moral of the Story* : Practice, Practice, Practice. Look for patterns in the way, and memorize those and apply them next time.
Took me a while to understand.
a = bat, b = ball
Statement 1 : a + b = 1.10
statement 2 : a = b + 1
a + b = 1.10
(b + 1) + b = 1.10
2b + 1 = 1.10
2b = 1.10 - 1
2b = 0.10
b = 0.10 / 2
b = 0.5
0.10/2 is 0.05 not 0.5
I think my brain is thinking super slow, I couldn't even understand the bat and ball thing 🤣
Same bro😂😂
Here the trick part is "the bat cost 1 dollar more than the ball"
Which means, the ball cost is also there in the bat plus 1 dollar.. so if the ball cost $0.10 then the bat would cost $1.10 and total would be $1.20 dollars which is not the right answer.
@@vigneshbabu9382but ball costs 5 cents 🙄
statement 1: bat+ball=1.10,
statement 2: bat=1+ball
put statement 2 in 1: 1+2ball=1.10
that means ball=0.10/2 => 0.5 cents
i also did not understadn directly but instead like this.
Same bro mine is working even more slower that i can't even understand these solutions 😂
Excellent partage ❤ Big like 351❤❤
Thanks ❤️
I think a lot of people fail to understand that if the ball costs 0.10$ and the bat costs 1$ MORE, then the bat would cost 1.10$. 0.10 + 1.10 equals 1.2. This is the part most people forget to explain in the comments. However, if the the ball costs 0.5$, then the bat will cost 1.05$. 0.5 + 1.05 = 1.1.
👋 My summary:
- 00:00 🧠 Developing Intuition for Coding Problems
- Understanding the importance of intuition in solving coding problems.
- Introduction to the concept of "Fast Brain" and "Slow Brain."
- Exploring the role of both brains in coding interviews.
- 02:18 🤖 Training Your "Fast Brain" to Recognize Patterns
- Drawing parallels between training an AI model to recognize patterns and training your "Fast Brain" for coding.
- Discussing the need for a library of components and patterns.
- Example of building components and patterns using Backtracking.
- 06:05 📚 Building Your Own Patterns
- Emphasizing the importance of building your own patterns.
- Suggesting resources and articles to help build patterns.
- Highlighting that memorization alone is not sufficient; both "Fast Brain" and "Slow Brain" need to be trained.
- 07:29 🌟 Beyond Leetcode: Mastering Interview Skills
- Acknowledging the need for skills beyond Leetcode.
- Encouraging practice and problem-solving.
- Teasing the importance of additional skills for cracking coding interviews.
Now no need to watch video thanks 😂
Combination of fast brain and slow brain
Thanks so much for this
Hey love from India, i really loved how you explained tha backtracking problem. I have never gone through an explaination like this before. If there is any book to understand problems like this, please refer ❤
Pure diamond content!
Hello sahil, Thanks for sharing this video. I believe this will help so many coders. Coding is not about memorizing it's all about building intuition and practice.
Please Sahil can you make a video on how to solve recursive problems. I'm finding it hard to understand recursive algorithm. 🙏
Fantastic, useful video!
You make learning seem easy!
Your voice is my Impulsions. Take lv dear vya💗
I just want people to understand, that to some people things WILL come more naturally than it will to others.
And for a lot of people, no amount of hardwork will make you as good as the people to who it comes naturally.
The faster you understand that and stop guilt tripping yourself, the better it will be for you and for your health.
It doesn't make you worthless, it's just that you'll be useful in different roles than those people. And you can still do you part, but there might be somebody who'll be able to do the things you do faster, and in a way that you may never conceive. And you cannot learn that.
The fast you realise that, the better it will be for you. Anybody that tells you that hardwork will make you as good as the person that it comes naturally to, is lying to you
The only person you should compare yourself to is you. You can become better than you were.
You can even be more productive than the genius.
You can even produce better work than the genius, but you're not gonna be able to train yourself to become better at coming up with things that comes naturally to them.
The so called naturally gifted people just have the right framework which the hardworking people lack everyone is created equally but not everyone uses their full potential
@@hhandle no. Everyone is not created equal. Some people just have the innate ability to do certain things which others will have to work very hard to get to be able to do. And there's absolutely nothing you can do to change that.
@@jesseinfinitebut remember Hardwork beats talent
@@msddevotee9323 sure, but that doesn't mean that talented people can't work hard lol.
Your content is soo aaawsome!!👌🏻... Trust me your videos not only gives me a good solution to my issues as a developer but also gives me motivation boost ❤️
Happy to hear that!
Sir aap hamesha aise hi bolte ho
Thank you for sharing ❤
Sahil.😊
Also please make a video on how to make our brain stop thinking about girls while in the middle of coding....
thanks for your insight figured out where i was wrong
took me some thinking between both fast and slow brain to get to a bat costing $1.05 and a ball costing $0.05. When solving things with the fast brain, sometimes it takes one on a journey with their slow brain to make sure they got it right only to find oneself doubting self and repeat checking with the slow brain; only to confuse oneself! At least, that's what I experience when I try to do things my fast brain does with the slow brain!
After watching this Video Who wants to learn DSA from Saahil 🙋🙋♀️?
This is underrated
Can someone solve this for me?
In the army of Andromeda, the soldiers are segregated by rank. Each soldier except the first has a superior officer. The codes for the nuke are given to 2 soldiers for security purposes, and each would relay the information to their superior officer (this keeps on happening till it reaches the top most officer). The first officer who gets the information from two of his subordinates would detonate the nuke. Given m such queries find the officer who would detonate the nuke for each of them
Input Format
First line has an integer n,m, for the number of soldiers and number of queries. Second line has n−1 integers p2,p3,p4 … pn where pi is the superior officer of officer i. Next m lines have 2 integers a and b, such that the codes are given to soldiers a and b.
Constraints
1
thank you so much for this!
Hard problems also involves applying some trick which is not always obvious.Average students can not think of them immediately. Can you please tell us how to think of such tricky problems.
Just relax and enjoy the process don't think of it as a problem just think of it like a puzzle then you'll get your answers
I think that I am an average student but slowly reaching my there. What I used to do before I just used to look at problem and immediately decide whether I can or not but now I try to think more in depth and give sometime to the problem. and I would say it is totally fine to be wrong sometimes You just get to learn new things.
Hey can you give us a info about software testing and it's survival ratio in future. Thanks
I thought I knew how to program until I started doing let code 😂
new platform in the market, “let code”
Cool Sahil 😃👍
If I want a road map on something this channel has I will recommend everyone subscribing very good❤❤
Thanks ❤️❤️
My brain is so slow even I couldn’t understand this video 😢
Saw that bat and ball cost example in one of your videos. Good to hear it again..
Sara and Sahil please make a couple vlog😅.
please try add any travel or monthly vlog🫰🏻
Thank you for sharing.
This video made my day ❤
❤️
Amazing video
Much needed and awaited video ❤
Much needed one! Thanks Sahil!
I currently work as an L4 in Amazon, can you compare your experiences between Amazon and Google?
Question, open to anyone, lets say the brain gets trained, interview is cracked and the job is offered as well, how often do engineers in FAANG companies actually come across these kind of challenges in their day to day life working in one of these companies?
PS: I know a fperson who works in one of the FAANG and described codebase of one of their most popular product which gets offered to their customers where the class file seemed to contain over 1000 lines of code with single method averaging over 300 lines and no documentation
The way you pronounce develop is really funny
why 5 cents and not 9 cents? i cant understand.
It's 1 dollar high.. so both have same cents value (5 cents) + 1 dollar.
u want believe sir i used to think that i am dumb my mental ability is low then i camee across this book and when i saw this on thumbnail i was like wow
Thanks
how do you create graphics for videos? specifically looking for a animated donut or pie chart. suggestions?
ey techathon me submission kiya hai 15 ko aakhri din hai aurf kya better kr skte hai???
Really Intuitive Video.....
Thanks 🙏
Awesome video thanks for sharing
Thanks ❤️
Far out I'm stuck in this bat and ball analogy and after reading explanations in comments I still couldn't figure it out. Does that mean I can't be (or shouldn't be) a programmer?
Yes I'm thinking that too
Hi sir , just a small information , if we take certification for python and pandas and if we try for a job will we get good job , actually having experience of 7 years and trying to switch career to be in good start if I did certification and try for job and luckily if we got in service based company , can it be a good start as part of career switch so that we will keep on working and try for big companies after we habituated with python work culture ?? Please replay sir with your views really need your help on this sir. Or suggest any certification which will help us to boost career
I got .10c as my answer :(
You need to make 2 equation then solve them
Cost of ball= 0.05
I want to learn by myself from zero can i do it? 😅 it’s hard?!
I have this book
I am solving problems on leetcode for 3 days , but i feel very struggling even on the easy questions i am able to think some of the approaches to solve a question but when it comes to code that solution i struggle a lot 😭 is it normal ? btw I'm learning dsa from 3 months I'm in my 3rd sem
Well, rather than directly jumping to coding by yourself, analyze different codes for different problems that are available on different platforms. Make sure that you try to analyze why they have done a particular line of code that way. Do this for at least 15-20 days, by this way you'll build your confidence and you know the tricks as you have analyzed different codes. Taking your time is the key! Hope it helps.
All the best!
There are RUclips video where they solve leet questions
Go through this, there are videos linking the solutions as well.
takeuforward.org/strivers-a2z-dsa-course/strivers-a2z-dsa-course-sheet-2/
Its normal bro . U have to practice more , experience more and do small and easy first
overall you say that we brake the problems into smaller part but just say the one line you upload a 8 minutes video.
See I made it really simple...
Instead of bat and ball we use different question...
And also won't be using the word more than ($1 more than the ball) that stupid line causes all the confusion...
We will use extra instead of more ok..
So let's say u tell ur friend
Me : I got 20 rs extra from my uncle compared to aunty ...
And when ur friend says
Friend : Ok so how much u got n*gga
And u say
Me : I ain't black ni*gga I got 30rs in total and he says ok u ain't gettin pass me with that hand it over ok jokes aside...
From the total 30, 20 is extra which means 20 is out of the league it can't be compared and from the remaining 10 we start the comparison we say okay 5 from lovely uncle and 5 from broken aunty we add the extra 20 we got 25...
Me : I ain't forgetting my hero uncle..
Friend : what about ur aunty ma maan
Me : Who Aunty...
Try my free email crash course to crush technical interviews: instabyte.io/
Fast Brain + Slow Brain = BRAIN
Basically use your BRAIN .
thank me later.
I don't even understand bat and ball questions ❓ am i dumb 😭
i am struggles a lot to solve one problem daily
TLDR Repetition
It is funny how old and well know technic can be explained in 8 minutes video using AI examples. 2024
Pls tell how to die easily 🙏🙏
Stop eating
How the answer is 5 cents?
If you assume cost of coin as x then
Cost of bat is x+1
Finally x+1+x=1.10
2x=0.10
x=0.5
slow brain = aptitude
solve aptitude puzzles on your own to train your slow brain.
Create tech-news videos
Video on LinkedIn 😢
How can I learn new things faster
By learning how to learn
Makes sense
First comment ❤❤😊
👍😀😘
Guys i want to learn DSA , anybody can suggest any books or U tube channels for Learning.
Mycodeschool
i have been coding since 5 months , almost done with dsa and solved around 106 problems on leetcode but still I cannot solve questions on my own , i have to refer the solution, is this normal?? or i m not very good at coding? i am a first year student
You need to take on projects. Ones that you are passionate about. Only way for your brain connections to grow. Also exercise and walks in the park
Hate to break it to you, but it's not, 5 months is a lot of time to solve just 106 problems.
However if your are talking about 106 hard level leetcode problem, then it's awesome
I felt the same but I am improving. You will improve. Because I also thought I can never do exercises by myself. But now I am able to do some by my self. Just try and read the solutions to the codes and then familiarize yourself with the logic they used to solve those exercises.😊
I felt the same but I am improving. You will improve. Because I also thought I can never do exercises by myself. But now I am able to do some by my self. Just try and read the solutions to the codes and then familiarize yourself with the logic they used to solve those exercises.😊
In 1 month I solve 39 easy 9 medium & 1 hard 😅total 49 😂 with continue streak of 29
now we are copying ai
Rest 5 cents kya hai tax 😅
0.05
bro u talk like reading the script.
I mean without preplan script he cant give precise info
Help
Obviously slow
can anyone please explain the bat and ball problem? sorry I didn't get it
The bat is $1 plus the cost of the ball. The total is the cost of the bat + the cost of the ball. So the total is $1 + the cost two balls. The cost of the ball is then ($1.10 -$1)/2.
@@greenjacket6305why are we dividing by 2? Where is second ball came from. Statement mentions only one ball
Bat +ball = $ 1.10 & Bat - Ball = $1,
now subtracting both equation
Bat + Ball -(Bat - Ball) = 1.10 -1,
2Ball = .10, therefore
1 Ball = .5 cent
@@nagrajsingh8437 buddy now I am more confused your solution doesn't work for me. And the question say a ball so i thought there will be 1 ball. Please correct me if I am wrong
The problem states that sum of bat price and ball price is $1.10. Also, cost of bat price is 1 dollar more than that of ball price. Find the ball price.
Let ball price be x;
Bat price = 1 + x;
Bat price + ball price = $1.10 (given)
//putting values
(1 + x) + x = 1.10;
2x = 1.10 - 1 = 0.10;
x = 0.10/2 = 0.05;
Hence ball price is 5 cent.
Hope you got it 😇
Thanks for wasting my time
Clickbait! Dislike
bro don't attach your pic in your LinkedIn post for no reasons, that's too cringe thing to do. I had to unfollow becuz of that shitt
useless
Still now my slow brain hasn't figured out the reason for that bat and ball questions 🥲
bat cost is more than $1 from ball ,that means ball cost + 1$ = bat cost. means 5 cent (ball) + 5 cent & 1 $ (bat) =1.10$
X = Bat and Y = Ball
x+y = 1.10
x-y = 1 it means x = 1+y
(1+y) + y = 1.10
1+2y = 1.10
2y = 1.10-1
y = 0.10/2
y = 0.5
Ball cost = 5 Cents
@@puneetgaredlol such a tricky questions 😂
@@puneetgaredactually the statement is not correct and misleading to wrong answers if you listen closely..... slow brain says it